Library Version 11.2.5.3

DB->get_re_source()
Prev | Chapter 2. The DB Handle | Next

## DB->get_re_source()

    #include <db.h>

    int
    DB->get_re_source(DB *db, const char **sourcep);

The `DB->get_re_source()` method returns the source file used by the Recno access method. This file is configured for the Recno access method using the DB->set_re_source() method.

The `DB->get_re_source()` method may be called only after the database has been opened.

The `DB->get_re_source()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### sourcep

The `DB->get_re_source()` method returns a reference to the source file in sourcep.

### Class

DB

### See Also

Database and Related Methods, DB->set_re_source()

Prev | Up | Next
DB->get_re_pad() | Home | DB->get_type()